Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Interface UrlProvider

All Known Implementing Classes:
  ComponentUrlProvider

    public interface UrlProvider

Implemntations of this interface can be used to build a URL

Field Summary
`static java.lang.String` | `ALL`
`static java.lang.String` | `GET`
`static java.lang.String` | `NONE` The includeParams attribute may have the value 'none', 'get' or 'all'.

Method Summary
`java.lang.String` | `determineActionURL(java.lang.String action, java.lang.String namespace, java.lang.String method, javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, java.util.Map parameters, java.lang.String scheme, boolean includeContext, boolean encode, boolean forceAddSchemeHostAndPort, boolean escapeAmp)`
`java.lang.String` | `determineNamespace(java.lang.String namespace, ValueStack stack, javax.servlet.http.HttpServletRequest req)`
`java.lang.String` | `findString(java.lang.String value)`
`java.lang.String` | `getAction()`
`java.lang.String` | `getAnchor()`
`ExtraParameterProvider` | `getExtraParameterProvider()`
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()`
`java.lang.String` | `getIncludeParams()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getNamespace()`
`java.util.Map` | `getParameters()`
`java.lang.String` | `getPortletMode()`
`java.lang.String` | `getPortletUrlType()`
`java.lang.String` | `getScheme()`
`ValueStack` | `getStack()`
`java.lang.String` | `getUrlIncludeParams()`
`java.lang.String` | `getValue()`
`java.lang.String` | `getVar()`
`java.lang.String` | `getWindowState()`
`boolean` | `isEncode()`
`boolean` | `isEscapeAmp()`
`boolean` | `isForceAddSchemeHostAndPort()`
`boolean` | `isIncludeContext()`
`boolean` | `isPutInContext()`
`void` | `putInContext(java.lang.String result)`
`void` | `setAction(java.lang.String action)`
`void` | `setAnchor(java.lang.String anchor)`
`void` | `setEncode(boolean encode)`
`void` | `setEscapeAmp(boolean escapeAmp)`
`void` | `setExtraParameterProvider(ExtraParameterProvider provider)`
`void` | `setForceAddSchemeHostAndPort(boolean forceAddSchemeHostAndPort)`
`void` | `setHttpServletRequest(javax.servlet.http.HttpServletRequest req)`
`void` | `setHttpServletResponse(javax.servlet.http.HttpServletResponse res)`
`void` | `setIncludeContext(boolean includeContext)`
`void` | `setIncludeParams(java.lang.String includeParams)`
`void` | `setMethod(java.lang.String method)`
`void` | `setNamespace(java.lang.String namespace)`
`void` | `setPortletMode(java.lang.String portletMode)`
`void` | `setPortletUrlType(java.lang.String portletUrlType)`
`void` | `setScheme(java.lang.String scheme)`
`void` | `setUrlIncludeParams(java.lang.String urlIncludeParams)`
`void` | `setUrlRenderer(UrlRenderer urlRenderer)`
`void` | `setValue(java.lang.String string)`
`void` | `setWindowState(java.lang.String windowState)`

Field Detail

### NONE

    static final java.lang.String NONE

  The includeParams attribute may have the value 'none', 'get' or 'all'. It is used when the url tag is used without a value attribute. Its value is looked up on the ValueStack If no includeParams is specified then 'get' is used. none - include no parameters in the URL get - include only GET parameters in the URL (default) all - include both GET and POST parameters in the URL

  See Also:
    Constant Field Values

### GET

    static final java.lang.String GET

See Also:
  Constant Field Values

### ALL

    static final java.lang.String ALL

See Also:
  Constant Field Values

Method Detail

### isPutInContext

    boolean isPutInContext()

### getVar

    java.lang.String getVar()

### getValue

    java.lang.String getValue()

### findString

    java.lang.String findString(java.lang.String value)

### setValue

    void setValue(java.lang.String string)

### getUrlIncludeParams

    java.lang.String getUrlIncludeParams()

### getIncludeParams

    java.lang.String getIncludeParams()

### getParameters

    java.util.Map getParameters()

### getHttpServletRequest

    javax.servlet.http.HttpServletRequest getHttpServletRequest()

### getAction

    java.lang.String getAction()

### getExtraParameterProvider

    ExtraParameterProvider getExtraParameterProvider()

### getScheme

    java.lang.String getScheme()

### getNamespace

    java.lang.String getNamespace()

### getMethod

    java.lang.String getMethod()

### getHttpServletResponse

    javax.servlet.http.HttpServletResponse getHttpServletResponse()

### isIncludeContext

    boolean isIncludeContext()

### isEncode

    boolean isEncode()

### isForceAddSchemeHostAndPort

    boolean isForceAddSchemeHostAndPort()

### isEscapeAmp

    boolean isEscapeAmp()

### getPortletMode

    java.lang.String getPortletMode()

### getWindowState

    java.lang.String getWindowState()

### determineActionURL

    java.lang.String determineActionURL(java.lang.String action,
                                        java.lang.String namespace,
                                        java.lang.String method,
                                        javax.servlet.http.HttpServletRequest httpServletRequest,
                                        javax.servlet.http.HttpServletResponse httpServletResponse,
                                        java.util.Map parameters,
                                        java.lang.String scheme,
                                        boolean includeContext,
                                        boolean encode,
                                        boolean forceAddSchemeHostAndPort,
                                        boolean escapeAmp)

### determineNamespace

    java.lang.String determineNamespace(java.lang.String namespace,
                                        ValueStack stack,
                                        javax.servlet.http.HttpServletRequest req)

### getAnchor

    java.lang.String getAnchor()

### getPortletUrlType

    java.lang.String getPortletUrlType()

### getStack

    ValueStack getStack()

### setUrlIncludeParams

    void setUrlIncludeParams(java.lang.String urlIncludeParams)

### setHttpServletRequest

    void setHttpServletRequest(javax.servlet.http.HttpServletRequest req)

### setHttpServletResponse

    void setHttpServletResponse(javax.servlet.http.HttpServletResponse res)

### setUrlRenderer

    void setUrlRenderer(UrlRenderer urlRenderer)

### setExtraParameterProvider

    void setExtraParameterProvider(ExtraParameterProvider provider)

### setIncludeParams

    void setIncludeParams(java.lang.String includeParams)

### setScheme

    void setScheme(java.lang.String scheme)

### setAction

    void setAction(java.lang.String action)

### setPortletMode

    void setPortletMode(java.lang.String portletMode)

### setNamespace

    void setNamespace(java.lang.String namespace)

### setMethod

    void setMethod(java.lang.String method)

### setEncode

    void setEncode(boolean encode)

### setIncludeContext

    void setIncludeContext(boolean includeContext)

### setWindowState

    void setWindowState(java.lang.String windowState)

### setPortletUrlType

    void setPortletUrlType(java.lang.String portletUrlType)

### setAnchor

    void setAnchor(java.lang.String anchor)

### setEscapeAmp

    void setEscapeAmp(boolean escapeAmp)

### setForceAddSchemeHostAndPort

    void setForceAddSchemeHostAndPort(boolean forceAddSchemeHostAndPort)

### putInContext

    void putInContext(java.lang.String result)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.